Skip to Content
Keko
API reference

GitHub

POST
/v1/github/install

Authorization

bearer
headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
url*string
Example Request
curl -X POST 'https://api.keko.run/v1/github/install'
Example Response
{  "url": "string"}
GET
/v1/github/installations

Authorization

bearer
headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
installations*array<>
Example Request
curl -X GET 'https://api.keko.run/v1/github/installations'
Example Response
{  "installations": [    {      "id": 0,      "accountLogin": "string",      "accountType": "string",      "repositorySelection": "string",      "suspended": true    }  ]}
GET
/v1/github/repositories

Authorization

bearer
headerAuthorizationBearer <token>

Query Parameters

cursor?string
Lengthlength <= 512
perPage?integer
Range1 <= value <= 100
Default100

Response Body

OK

application/json
  1. response
repositories*array<>
next*string|null
Example Request
curl -X GET 'https://api.keko.run/v1/github/repositories'
Example Response
{  "repositories": [    {      "id": 0,      "fullName": "string",      "private": true,      "defaultBranch": "string",      "installationId": 0    }  ],  "next": "string"}
POST
/v1/github/token

Authorization

bearer
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
repository*string
Match^[A-Za-z0-9-]{1,39}\/[A-Za-z0-9._-]{1,100}$
purpose*string
Value in"read""write""review"

Response Body

OK

application/json
  1. response
token*string
expiresAt*string|null
kind*string
Value in"user""installation"
Example Request
curl -X POST 'https://api.keko.run/v1/github/token' \  -H 'Content-Type: application/json' \  -d '{  "repository": "string",  "purpose": "read"}'
Example Response
{  "token": "string",  "expiresAt": "string",  "kind": "user"}
GET
/v1/github/events

Authorization

bearer
headerAuthorizationBearer <token>

Query Parameters

after?string
Lengthlength <= 256
limit?integer
Range1 <= value <= 100
Default50

Response Body

OK

application/json
  1. response
events*array<>
next*string
Example Request
curl -X GET 'https://api.keko.run/v1/github/events'
Example Response
{  "events": [    {      "deliveryId": "string",      "event": "string",      "action": "string",      "repository": "string",      "installationId": 0,      "receivedAt": "string",      "payload": "string"    }  ],  "next": "string"}
POST
/v1/github/grant

Authorization

bearer
headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
grant*string
expiresAt*string
Example Request
curl -X POST 'https://api.keko.run/v1/github/grant'
Example Response
{  "grant": "string",  "expiresAt": "string"}